#!/usr/local/bin/perl
# unhtml.pl: delete HTML tags
# for trll   HP 2005-01-08

while (<>) {            # collect all input into a single string
    $str .= $_;         # by concatenating input lines
}

$str =~ s/<\/TR>/\/TR/g;
$str =~ s/<\/tr>/\/TR/g;
$str =~ s/<br>/\/TR/g;
$str =~ s/<[^>]*>//g;   # delete <...>
$str =~ s/\s+/ /g;     # compress white space
$str =~ s/&nbsp;/ /g;   # replace &nbsp; by blank
$str =~ s/&ndash;/-/g;
$str =~ s/\/TR\s*/\n/g;
print $str;
